Web Vitals
Get Web Vitals Trends
GET
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringmetric?stringValue in
"CLS""LCP""INP""FCP""TTFB""FID"positiveOnly?"true"Value in
"true"from?stringto?stringdevice?stringbrowser?stringos?stringcountry?stringroute?stringsegment?string|array<string>excludeSegment?string|array<string>bucketMs?stringSuccess
application/json- response
[index: integer]?curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals/trends'Example Response
[ { "bucketStart": "string", "metric": "string", "samples": 0, "p75": 0, "p90": 0, "p95": 0, "p99": 0 }]curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals/trends'[
{
"bucketStart": "string",
"metric": "string",
"samples": 0,
"p75": 0,
"p90": 0,
"p95": 0,
"p99": 0
}
]